Preskoči na vsebino

Seedream 5.0 Pro Edit

Integracija

ID modela bytedance/seedream/v5/pro/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Datoteke, kot je primer: 0,14 $ 140 API kreditov vaše datoteke se izmerijo pred zagonom Zaženi na tej strani

Pridobi ključ API
ByteDance Urejanje slik #editing#multi-reference#2k

Večslikovno urejanje s Seedream 5.0 Pro, ki združi do deset referenc v eno sliko 2K.

Ustvarjeno v Doitong

Javna dela, ki jih je skupnost Doitong ustvarila z Seedream 5.0 Pro. Poziv znova uporabite z enim klikom.

Prikazana javna dela: 16
Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек ...

Создайте 20-секундный анимационный ролик в ярком, мультяшном стиле для Instagram. Сюжет: человек с вдохновением собирается начать что-то новое (например, рисовать на холсте). Внезапно появляется его Мозг в виде забавного персонажа, который начинает активно мешать: показывает смешные картинки...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beau...

Art style: Cinematic Realistic. A hand gently reaching out to a wooden bookshelf filled with beautifully bound books. The fingers softly touch the spines. Warm, golden hour lighting. No faces. ━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━━ FINAL STYLE ENFORCEMENT (this is the authoritative rendering...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filter...

Art style: Studio Ghibli animation style, lush forest and waterfall setting, warm sunlight filtering through trees, cozy wooden treehouse, high detail, 4K.. Studio Ghibli animation style. Close-up of Elara's hands carefully picking one of the glowing mushrooms and placing it into a small woven...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further b...

Art style: Cinematic Realistic. Maya standing in the near foreground; Eleanora standing further back in the frame. Three feet of terracotta floor between them. Maya is standing on terracotta floor in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image ...

Create a head-and-shoulders Pixar-style 3D avatar of an edgy person based on the reference image with a black bob, purple hair streak, and a small nose ring. She has a defiant, playful expression, sticking her tongue out with wide, confident eyes while wearing a classic denim jacket. Isolated on...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in ...

Art style: 3D Anthro. Grand wedding hall with chandeliers, red curtains and fruit guests. Mia in an emerald gown stands beside Leo Lime ("90/100"). Nico Peach ("100/100") in a black tuxedo with gold embroidery kneels before veiled Grana, holding her red-gloved hand. Pixar-style 3D CGI, soft...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at th...

Art style: 3D Anthro. Golden dressing room with mirrors and a tiara on the vanity. Mia sits at the vanity while the maid Aunt Banana does her hair. Mrs. Lime holds out an old, torn, yellowed wedding dress to veiled Grana. Pixar-style 3D CGI, soft cinematic lighting, vertical 9:16....

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two fram...

Art style: 3D Anthro. Luxurious living room with candles. Mr. Pomegranate stands holding two framed portraits: a handsome lime-green man labeled "90/100" and a black silhouette with a question mark. Mrs. Lime beside him. Mia Orange and veiled Grana sit on a beige velvet sofa. Pixar-style 3D CGI,...

Ustvari zahtevo

Kontrolniki se ustvarijo iz sheme modela. Koda in cena se posodobita, ko ju spreminjate.

•obvezno

Besedilna navodila za urejanje slike.

•obvezno image_urls
Spustite datoteko ali

URL-ji referenčnih slik; če poslani seznam preseže podprto največje število 10 slik, se obdela zadnjih 10 vnosov.

image_size privzeto auto_2K

Dimenzije izhodne slike, ki zahtevajo skupno število slikovnih pik med 1024x1024–2048x2048 in razmerje stranic med 1/16–16.

num_images privzeto 1

Število neodvisnih generiranj modela z uporabo poziva.

Napredno output_format · enhance_prompt_mode
output_format privzeto jpeg

Format datoteke izhodne slike.

enhance_prompt_mode privzeto standard

Nastavitev optimizacije poziva: izberite `standard` za prednost kakovosti slike ali `fast` za krajši čas generiranja.

POST /run/bytedance/seedream/v5/pro/edit?wait=20 cena → 0,14 $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedream/v5/pro/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Zaženi to zahtevo

Vaš ključ ostane v tem brskalniku: pošlje se samo v Doitong API in shrani v localStorage samo, če označite možnost Zapomni si. Pridobi ključ API

O modelu Seedream 5.0 Pro Edit

Seedream 5.0 Pro posredujte do deset referenčnih slik (izdelki, logotipi, ljudje, kraji) in opišite, kako jih združiti ali spremeniti; ohrani zveste materiale in napise. Izhod ima med 1 in 4 milijoni slikovnih pik, na zahtevo pa lahko vrne do šest slik .

Parametri

Pošlji kanonično ali izvorno ime, ne obeh. Kanonična imena

ImeVrsta PrivzetoDovoljeno Opis
promptobvezno
Vrstastring
Besedilna navodila za urejanje slike.
image_sizeneobvezno
Vrstaobject
Privzetoauto_2K
square_hdsquareportrait_4_3portrait_16_9landscape_4_3landscape_16_9auto_1Kauto_2K
Dimenzije izhodne slike, ki zahtevajo skupno število slikovnih pik med 1024x1024–2048x2048 in razmerje stranic med 1/16–16.
num_imagesneobvezno num_outputs
Vrstainteger
Privzeto1
1 – 6
Število neodvisnih generiranj modela z uporabo poziva.
output_formatneobvezno
Vrstaenum
Privzetojpeg
jpegpng
Format datoteke izhodne slike.
enhance_prompt_modeneobvezno
Vrstaenum
Privzetostandard
standardfast
Nastavitev optimizacije poziva: izberite `standard` za prednost kakovosti slike ali `fast` za krajši čas generiranja.
image_urlsobvezno images
Vrstaurl[] · image
URL-ji referenčnih slik; če poslani seznam preseže podprto največje število 10 slik, se obdela zadnjih 10 vnosov.
obvezno Kanonično ime, prav tako sprejeto

Parametri datotek sprejmejo javni https:// URL, podatkovni URI data: do 10 MB ali file_url naložene datoteke. Datoteke

Izhod

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedream/v5/pro/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 140,
    "usd": "0.14",
    "charged": 140,
    "refunded": 0
  },
  "input": {
    "prompt": "Place the sneaker from image 1 on the desk of the office from image 2, natural lighting",
    "images": [
      "https://content.doitong.com/images/showcase/v3/gen_sneaker_ad.jpg",
      "https://content.doitong.com/images/gp/image_20260610003801_541d9719_316882.png"
    ]
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ]
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Vaše datoteke, vaša izbiraVsak outputs[].url je kopija v naši shrambi: hrani se za vedno (plačilo na GB-mesec) ali 7 dni brezplačno, glede na nastavitev računa ali ?storage=.
Enaka struktura pri vsakem modelutype, url, content_type, width, height in duration za slike, videoposnetke in zvok. output je lasten objekt rezultata modela.
Polja izhoda
images
array of object {url, content_type, file_name, file_size, width, height}Slike, ustvarjene z generiranjem.

Več modelov: Urejanje slik

Za agente AI: ta stran je v obliki Markdown na voljo na https://doitong.com/sl/developers/models/bytedance/seedream/v5/pro/edit.md. Vsi modeli in vodniki: https://doitong.com/developers/llms.txt